from rest_framework.renderers import TemplateHTMLRenderer
from rest_framework.response import Response
from rest_framework.views import APIView

from api.serializers import DocumentNDASerializer


class IndexView(APIView):
    renderer_classes = [TemplateHTMLRenderer]
    template_name = 'index.html'

    def get(self, request):
        return Response(template_name=self.template_name)

    def post(self, request):
        serializer = DocumentNDASerializer(data=request.data)
        if serializer.is_valid():
            serializer.save()
             # отправка в докусайн
            return Response(status=200, data=serializer.data)
        return Response({'error': 'Bad Request'}, status=400)
